<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');
require APPPATH."modules/mu/controllers/mu.php";

class Muwip extends Mu {
	
	function __construct()
	{
		parent::__construct();
		
		$this->pmodul = 'mu';
		$this->modul = 'muwip';
		
		$this->title = 'LAPORAN MUTASI WIP';
		$this->mat_type = '11';
		$this->tp_barang = "IN ('1')";
		
		$this->load->model($this->pmodul.'/'.$this->pmodul.'_mdl','pmdl');
		$this->load->model($this->modul.'_mdl','mdl');
		
	}
	
	public function index()
	{		
		$data = array(
			'content' 	=> 	$this->pmodul.'/'.$this->pmodul,
			);		
		$this->load('tpl',$data['content'], $data);
		$this->load->view($this->pmodul.'/'.$this->pmodul.'_cjs');
		$this->load->view($this->pmodul.'/'.$this->pmodul.'_mjs');
		
	}
	
	function aksi($cmd)
	{
		ini_set('memory_limit', '-1');
		
		$page = isset($_POST['page']) ? intval($_POST['page']) : 1;
		$rows = isset($_POST['rows']) ? intval($_POST['rows']) : 100;	
		$key = $_REQUEST["q"];
		$dtdari = $_REQUEST["dtdari"];
		$dtsampai = $_REQUEST["dtsampai"];
		$kd_cmpy = $_REQUEST["kd_cmpy"];
		$rs = $this->mdl->getAll($page,$rows,$key,$dtdari,$dtsampai,$kd_cmpy);
		
		if ($cmd=='cari'){
			echo json_encode($rs);
		} else {
			$data = array(
				'rs' 	=> 	$rs
			);	
			
			if ($cmd=='excel'){
				$filename ="Laporan Mutasi Bahan Baku.xls";
				header('Content-type: application/ms-excel');
				header('Content-Disposition: attachment; filename='.$filename);
			}
			$this->load->view($this->pmodul.'/print2',$data);
		}
		
	}
}